package com.bytesw.bytebot.etl.model;

import com.bytesw.xdf.model.converter.BooleanToStringConverter;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.*;

@Cacheable(false)
@Entity
@Getter @Setter @ToString
@Table(name="BBOT_ACTION")
@NamedQuery(name = "Action.findByPK", query = "Select p from Action p where p.id = ?1")
public class Action {

    @Id
    @Column(name = "ACTION_ID")
    @TableGenerator(name = "BBOT_ACTION_GENERATOR", table = "SEQUENCE_TABLE", pkColumnName = "SEQ_NAME",
            valueColumnName = "SEQ_COUNT", pkColumnValue = "BBOT_ACTION_SEQ", allocationSize = 1)
    @GeneratedValue(strategy = GenerationType.TABLE,generator = "BBOT_ACTION_GENERATOR")
    private Long id;

    @Column(name = "ACTION_IDENT")
    private String identifier;

    @ManyToOne(optional = false)
    @JoinColumn(name = "GOAL_ID", referencedColumnName = "GOAL_ID")
    private Goal goal;

    @Column(name = "ACTION_RGOAL")
    @Convert(converter = BooleanToStringConverter.class)
    private boolean meetGoal;
}
