package com.bytesw.bytebot.etl.model;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.*;
import java.time.OffsetDateTime;

@Cacheable(false)
@Entity
@Getter @Setter @ToString
@Table(name="BBOT_RESPONSE")
@NamedQuery(name = "Response.findByPK", query = "Select p from Response p where p.id = ?1")
public class Response {

    @Id
    @Column(name = "RESPO_ID")
    @TableGenerator(name = "BBOT_RESPONSE_GENERATOR", table = "SEQUENCE_TABLE", pkColumnName = "SEQ_NAME",
            valueColumnName = "SEQ_COUNT", pkColumnValue = "BBOT_RESPONSE_SEQ", allocationSize = 1)
    @GeneratedValue(strategy = GenerationType.TABLE,generator = "BBOT_RESPONSE_GENERATOR")
    private Long id;

    @Column(name = "RESPO_DATE")
    private OffsetDateTime date;

    @Column(name = "RESPO_CONT")
    private String content;

    @Column(name = "RESPO_CORR")
    private int correlative;

    @Column(name = "SESSION_ID")
    private Long sessionId;
}
